Bug 72818 - Copy and pasting cells in Spreadsheet slows system to a crawl.
Summary: Copy and pasting cells in Spreadsheet slows system to a crawl.
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-17 23:29 UTC by GD
Modified: 2015-02-11 19:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test Spreadsheet (9.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-01-13 21:53 UTC, GD
Details

Note You need to log in before you can comment on or make changes to this bug.
Description GD 2013-12-17 23:29:15 UTC
With more than 1 and larger spreadsheets are open and cells have been selected cells to copy or move a,  The system slows down dramatically and in the spreadsheet it becomes unusdalbe.  Once the area has been marked and copy selected,  The area selected is shown by dotted lines.  If you hit the escape key, the selected area disappears and the system speed returns.
Comment 1 Joel Madero 2013-12-21 02:30:17 UTC
Not enough information for us to do anything. We need the large documents that you are using - just saying "large documents" isn't enough for us to (a) pinpoint how big is large or (b) we don't have the time to create a random large spreadsheet. 

Please attach spreadsheets that you have open and then we'll test. Marking as NEEDINFO - once documents are attached mark as UNCONFIRMED and we'll go from there.

Thanks for understanding and for helping us out
Comment 2 GD 2014-01-13 21:53:28 UTC
Created attachment 92002 [details]
Test Spreadsheet
Comment 3 GD 2014-01-13 21:54:57 UTC
It doesn't matter how big the file is but the bigger the file and the more files that are open creates this issue.
Comment 4 QA Administrators 2014-08-04 16:17:48 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 5 GD 2014-08-06 23:47:42 UTC
I added a file and added more info. previously.

I have just installed Libreoffice on a new machine.  I think that the issue may be a memory one so I will try to replicate it on the new machine.

Currently running LibreOffice 3.5.7.2 on Ubuntu 12.04 (tried updating to 4 but it did not work)

Computer is a Lenova T61,  2.9 G, Intel® Core™2 Duo CPU T7300 @ 2.00GHz × 2

If this is a memmory issue,  i think that Libre needs to look at how the cut paste is done to make sure it is not tieing up resources unnecessarily.

Graeme
Comment 6 Joel Madero 2014-08-07 00:01:44 UTC
3.5 is way EOL (by about 2 years now) - so we really need you to be able to test a newer version. When you say "it didn't work" when you tried upgrading, what do you mean? Did you try the ppa?
https://launchpad.net/~libreoffice/+archive/ubuntu/libreoffice-4-2
Comment 7 GD 2014-08-07 00:27:52 UTC
The Issue happenned a year or more ago and version 4 was not compatible (according to Ubuntu with this version at the time).  I am sure these issues would have been fixed.

I will see if I can replicate the issue on the newer machine with Ubuntu 14.04.

I still think you need to look at the memory usage of Libre Office when cutting and pasting as this may be an issue with speed in the future.

Graeme
Comment 8 QA Administrators 2015-02-11 19:52:49 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11